# ACE_RMCast::Acknowledge::Queue Struct Reference

Inheritance diagram for ACE_RMCast::Acknowledge::Queue:

[legend]
Collaboration diagram for ACE_RMCast::Acknowledge::Queue:

[legend]
List of all members.

## Public Types

typedef ACE_Hash_Map_Manager< u64, Descr, ACE_Null_Mutex > | Base

## Public Member Functions

| Queue ()
| Queue (u64 sn)
| Queue (Queue const &q)
int | bind (u64 sn, Descr const &d)
int | rebind (u64 sn, Descr const &d)
int | unbind (u64 sn)
u64 | sn () const
void | sn (u64 sn)
u64 | max_sn () const

## Private Attributes

u64 | sn_
u64 | max_sn_

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<u64, Descr, ACE_Null_Mutex> ACE_RMCast::Acknowledge::Queue::Base

## Constructor & Destructor Documentation

ACE_RMCast::Acknowledge::Queue::Queue | ( |  | ) | `[inline]`

ACE_RMCast::Acknowledge::Queue::Queue | ( | u64 | sn | ) | `[inline]`

ACE_RMCast::Acknowledge::Queue::Queue | ( | Queue const & | q | ) | `[inline]`

## Member Function Documentation

int ACE_RMCast::Acknowledge::Queue::bind | ( | u64 | sn,
|  | Descr const & | d
| ) | `[inline]`

u64 ACE_RMCast::Acknowledge::Queue::max_sn | ( |  | ) | const`[inline]`

int ACE_RMCast::Acknowledge::Queue::rebind | ( | u64 | sn,
|  | Descr const & | d
| ) | `[inline]`

void ACE_RMCast::Acknowledge::Queue::sn | ( | u64 | sn | ) | `[inline]`

u64 ACE_RMCast::Acknowledge::Queue::sn | ( |  | ) | const`[inline]`

int ACE_RMCast::Acknowledge::Queue::unbind | ( | u64 | sn | ) | `[inline]`

## Member Data Documentation

u64 ACE_RMCast::Acknowledge::Queue::max_sn_`[private]`

u64 ACE_RMCast::Acknowledge::Queue::sn_`[private]`

The documentation for this struct was generated from the following file:

- Acknowledge.h